Subject: Re: [Bitcoin-development] Alert System

From: Christian Decker <[email-masked]>
Date: Fri, 9 Sep 2011 11:15:38 +0200

Resending to mailing list as I replied directly...
On Thu, Sep 8, 2011 at 11:03 PM, Christian Decker <
[email-masked]> wrote:

>
>
> Will <[email-masked]> wrote:
>
> >> In fact, I think the alert system should relay (note, NOT display)
> >messages
> >> *regardless of the key used*, so it isn't yet another "our client
> >gets
> >> special
> >> status" thing, and can be used for other clients as well.
> >>
> >>
> >> Be careful though, if you relay everything, it suddenly *does* have
> >DDoS
> >potential...
> >
> >no more than other messages such as transactions.
> Only verified and valid trandactions are forwarded which is desired as it
> costs the sender a fee if he attempts to spam, messages have no such
> penalty.
> >
> >>Maybe require a proof-of-work then?
> >
> >kind of defeats the purpose of the alert if it takes a long time to
> >issue
> >one.
> >
> >I think leave the alert in, but relay alert messages even if they don't
> >use
> >the correct key.  This means that if we later decide to add new keys to
> >the
> >alert root trust then older clients will still relay these.
> >
> >my .02btc
> >
> >Will
> I'm for keeping it in there as well, maybe even extend it with a mechanism
> to sign other certificates giving alternative client developers the ability
> to issue their own alerts. Think ssl certificates...
>
> Regards,
> Chris
>
> >------------------------------------------------------------------------------
> >Doing More with Less: The Next Generation Virtual Desktop
> >What are the key obstacles that have prevented many mid-market
> >businesses
> >from deploying virtual desktops?   How do next-generation virtual
> >desktops
> >provide companies an easier-to-deploy, easier-to-manage and more
> >affordable
> >virtual desktop
> >model.
> http://www.accelacomm.com/jaw/sfnl/114/51426474/_______________________________________________
> >Bitcoin-development mailing list
> >[email-masked]
> >https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>
> --
> Sent from my Android phone with K-9 Mail. Please excuse my brevity.
>